ITPub博客

首页 > 自动化运维 > 大规模网络运维 > 手把手教你测试技能:python 3.X搭建robotframework框架

手把手教你测试技能:python 3.X搭建robotframework框架

原创 大规模网络运维 作者:博为峰网校 时间:2021-03-01 17:23:04 0 删除 编辑

搞了一天终于把robotframework框架搭建起来了,来一个总结,记录一下吧

以前在公司在python2.7上搭建过,说是搭建不如是按照文档一步步的操作,文件什么的全是同事准备好的,不会的就喊同事帮忙,所以安装下来还是什么也不懂,这次完全是自己操作,需要的文件也是自己动手准备,遇到问题就百度,捣鼓了一天终于搭建好了,也收获颇多。加我VX:ww-51testing 回复“测试”,同时领取限量软件测试学习资料哦~~

好了废话说了一堆,现在进入正题

一、安装robotframework,首先要安装python,安装的是python3.8.5

安装的时候选择自定义安装,这样就可以在接下来的页面上勾选自动安装pip,自动写环境变量以及手动选择安装在哪个盘下。

然后点install,进入安装等待页面等待安装完成。

PS: 1:Python下载地址:

2:Python3.X版本的一个好处就是安装的时候可以把pip安装上,变量写入到环境变量中,这个安装的时候勾选一下就可以了,我就是这么操作的

安装完python后,就可以进入到cmd命令界面,通过输入pip命令安装了robotframework等相关文件了。

记得一定要切换到python安装路径下执行相关的安装命令。

如我的python安装在d盘,那就需要切到d盘相应的目录下,如

二、接着安装wxpython, 通过命令 pip install wxPython

看到警示如上说明是安装包安装成功但有更新的版本需要更新。可以选择更新,也可以不选择更新,一般警告式的错误不影响使用,可以根据情况选择是否修复问题。

看到”Successfully installed ****”说明当前包安装成功。

三、安装robotframework, 通过命令 pip install robotframework

四、安装robobframework-ride, 通过命令 pip install robotframework-ride

安装完成以后,在桌面上生成一个ride的图标

双击图标打开试一下,如果能成功打开,那么恭喜你安装成功,如果双击后半天没有反应,那就可能是运行出问题了,出了什么问题?

我们通过cmd命令打开看看日志,命令如下:

打开日志看到如下错误:

报错的日志里面有好几个文件,从第一个报错的文件打开试着找错吧,如果打开之后看不出来错误,那就求助一下百度吧。

我这里是打开文件后修改一行代码,并复制一下别的行的空格保存后,再运行ride,可成功运行。

这里修改的是这行代码:

把self._initial_locale = wx.Locale(wx.LANGUAGE_ENGLISH)修改为self.locale = wx.Locale(wx.LANGUAGE_ENGLISH),并重新设置了空格(因为好多时候不是代码错误,而是空格引起的,安全起见,把空格一起修复一下。)

到此,我们的基础安装就完成了。

五、安装库文件,通过命令 pip install robotframework-库文件名,可以执行在线安装,

如下是在线安装selenium2library:

在线安装,无须找版本

也可以把相应的文件下载到本地来安装,那就必须找对应的版本

Wxpython 下载地址:,找上面带.whl的文件下载就可以了,要看看上面对应的python版本号及处理器位数

robotframework包下载地址:

robotframework-ride包下载地址:

包下载完解压后,cmd命令页面切换到解压包路径下,输入python setup.py install即可完成安装。

如果在线安装报错,也是需要把相应的安装包下载到本地安装的,要对日志中报错的文件进行修改后再执行安装,一般的错误都是库文件代码与python 3.X的版本不兼容引起的。

就拿SudsLibrary这个库文件来讲吧

先开始是在线安装报错,后就直接下载文件到本地安装,还是报错,先开始的报错是引用的execfile这个函数不对,查了一下资料是原来python3.X中把这个函数名修改为exec(),修改函数名后,又报如下错误:

看到这个错猜想可能是函数的参数上有点问题,到底哪里的问题,不太清楚,于是又求助了一下百度后,修改成如下代码:

exec(open(join(dirname(__file__), 'src', 'SudsLibrary', 'version.py')).read())

到此这个地方的报错终于解决,再次执行安装又出现新的错误:

于是回到python下,通过pip install client安装client,又报错:

怎么回事呢?原来client不支持python3.,需要通过suds-jurko升级,于是又执行命令:pip install suds-jurko,安装成功后,再次执行本地安装sudslibrary的命令,又出现如下错误:

文件语法错误,于是打开相应的文件找到出错行代码查看,发现原代码还是python2.x的语句,

于是把这两个语句分别修改为:

except WebFault as e:

except Exception as e:

再次执行安装,终于成功,至此,sudslibrary库终于安装成功

六、库文件下载地址

如下载selenium2library ,地址为:

其它库文件下载地址把selenium2library修改为相应的库文件名即可。

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/31407649/viewspace-2760349/,如需转载,请注明出处,否则将追究法律责任。

请登录后发表评论 登录
全部评论
专注于软件测试干货分享&资料下载,加ww-51testing,备注“IT”即可领取哦~~

注册时间:2016-11-02

  • 博文量
    277
  • 访问量
    293485